
{{alias}}( shape[, options] )
    Returns an uninitialized ndarray having a specified shape and data type.

    In browser environments, the function always returns zero-filled ndarrays.

    If `dtype` is 'generic', the function always returns a zero-filled ndarray.

    For returned ndarrays whose underlying memory is *not* initialized, memory
    contents are unknown and may contain *sensitive* data.

    Parameters
    ----------
    shape: ArrayLikeObject<integer>|integer
        Array shape.

    options: Object (optional)
        Options.

    options.dtype: string (optional)
        Underlying data type. Default: 'float64'.

    options.order: string (optional)
        Specifies whether an array is row-major (C-style) or column-major
        (Fortran-style). Default: 'row-major'.

    options.mode: string (optional)
        Specifies how to handle indices which exceed array dimensions. If equal
        to 'throw', an ndarray instance throws an error when an index exceeds
        array dimensions. If equal to 'normalize', an ndarray instance
        normalizes negative indices and throws an error when an index exceeds
        array dimensions. If equal to 'wrap', an ndarray instance wraps around
        indices exceeding array dimensions using modulo arithmetic. If equal to
        'clamp', an ndarray instance sets an index exceeding array dimensions
        to either `0` (minimum index) or the maximum index. Default: 'throw'.

    options.submode: Array<string> (optional)
        Specifies how to handle subscripts which exceed array dimensions. If a
        mode for a corresponding dimension is equal to 'throw', an ndarray
        instance throws an error when a subscript exceeds array dimensions. If
        equal to 'normalize', an ndarray instance normalizes negative
        subscripts and throws an error when a subscript exceeds array
        dimensions. If equal to 'wrap', an ndarray instance wraps around
        subscripts exceeding array dimensions using modulo arithmetic. If equal
        to 'clamp', an ndarray instance sets a subscript exceeding array
        dimensions to either `0` (minimum index) or the maximum index. If the
        number of modes is fewer than the number of dimensions, the function
        recycles modes using modulo arithmetic. Default: [ options.mode ].

    Returns
    -------
    out: ndarray
        Output array.

    Examples
    --------
    > var arr = {{alias}}( [ 2, 2 ] )
    <ndarray>
    > var sh = arr.shape
    [ 2, 2 ]
    > var dt = arr.dtype
    'float64'

    See Also
    --------

